
From: Tom Rini <trini@kernel.crashing.org>

PPC32: Minor cleanups to IBM4xx and MPC82xx headers.

- Make sure that if <asm/ibm4xx.h> is included on !40x && !440, there is no real effect.
- Delete arch/ppc/platforms/mpc82xx.h
- Make sure that if CONFIG_8260 isn't set, there is no effect in <asm/mpc8260.h>.
- Add a __ASSEMBLY__ test around the extern for __res in <asm/mpc8260.h>.



 /dev/null                         |   42 --------------------------------------
 25-akpm/include/asm-ppc/ibm4xx.h  |    3 --
 25-akpm/include/asm-ppc/mpc8260.h |   34 ++++++++++++++++++++++++++----
 3 files changed, 30 insertions(+), 49 deletions(-)

diff -puN -L arch/ppc/platforms/mpc82xx.h arch/ppc/platforms/mpc82xx.h~ppc-IBM-MPC-header-cleanups /dev/null
--- 25/arch/ppc/platforms/mpc82xx.h
+++ /dev/null	Thu Apr 11 07:25:15 2002
@@ -1,42 +0,0 @@
-/*
- * arch/ppc/platforms/mpc82xx.h
- *
- * Board specific support for various 82xx platforms.
- *
- * Author: Allen Curtis <acurtis@onz.com>
- *
- * Copyright 2002 Ones and Zeros, Inc.
- *
- * This program is free software; you can redistribute  it and/or modify it
- * under  the terms of  the GNU General  Public License as published by the
- * Free Software Foundation;  either version 2 of the  License, or (at your
- * option) any later version.
- */
-#ifndef __CONFIG_82XX_PLATFORMS
-#define __CONFIG_82XX_PLATFORMS
-
-#ifdef CONFIG_8260
-
-#ifdef CONFIG_EST8260
-#include <platforms/est8260.h>
-#endif
-
-#ifdef CONFIG_SBS8260
-#include <platforms/sbs8260.h>
-#endif
-
-#ifdef CONFIG_RPX6
-#include <platforms/rpxsuper.h>
-#endif
-
-#ifdef CONFIG_WILLOW
-#include <platforms/willow.h>
-#endif
-
-#ifdef CONFIG_TQM8260
-#include <platforms/tqm8260.h>
-#endif
-
-#endif	/* CONFIG_8260 */
-
-#endif
diff -puN include/asm-ppc/ibm4xx.h~ppc-IBM-MPC-header-cleanups include/asm-ppc/ibm4xx.h
--- 25/include/asm-ppc/ibm4xx.h~ppc-IBM-MPC-header-cleanups	Wed Dec 24 13:54:57 2003
+++ 25-akpm/include/asm-ppc/ibm4xx.h	Wed Dec 24 13:54:57 2003
@@ -90,8 +90,6 @@ void ppc4xx_init(unsigned long r3, unsig
 #include <platforms/4xx/ocotea.h>
 #endif
 
-#endif /* CONFIG_40x */
-
 #ifndef __ASSEMBLY__
 /*
  * The "residual" board information structure the boot loader passes
@@ -99,6 +97,7 @@ void ppc4xx_init(unsigned long r3, unsig
  */
 extern bd_t __res;
 #endif
+#endif /* CONFIG_40x */
 
 #endif /* __ASM_IBM4XX_H__ */
 #endif /* __KERNEL__ */
diff -puN include/asm-ppc/mpc8260.h~ppc-IBM-MPC-header-cleanups include/asm-ppc/mpc8260.h
--- 25/include/asm-ppc/mpc8260.h~ppc-IBM-MPC-header-cleanups	Wed Dec 24 13:54:57 2003
+++ 25-akpm/include/asm-ppc/mpc8260.h	Wed Dec 24 13:54:57 2003
@@ -1,15 +1,36 @@
-/* This is the single file included by all MPC8260 build options.
+/*
  * Since there are many different boards and no standard configuration,
  * we have a unique include file for each.  Rather than change every
  * file that has to include MPC8260 configuration, they all include
  * this one and the configuration switching is done here.
  */
 #ifdef __KERNEL__
-#ifndef __CONFIG_8260_DEFS
-#define __CONFIG_8260_DEFS
+#ifndef __ASM_PPC_MPC8260_H__
+#define __ASM_PPC_MPC8260_H__
 
 #include <linux/config.h>
-#include <platforms/mpc82xx.h>
+
+#ifdef CONFIG_8260
+
+#ifdef CONFIG_EST8260
+#include <platforms/est8260.h>
+#endif
+
+#ifdef CONFIG_SBS8260
+#include <platforms/sbs8260.h>
+#endif
+
+#ifdef CONFIG_RPX6
+#include <platforms/rpxsuper.h>
+#endif
+
+#ifdef CONFIG_WILLOW
+#include <platforms/willow.h>
+#endif
+
+#ifdef CONFIG_TQM8260
+#include <platforms/tqm8260.h>
+#endif
 
 /* Make sure the memory translation stuff is there if PCI not used.
  */
@@ -34,10 +55,13 @@
 #define IO_VIRT_ADDR	IO_PHYS_ADDR
 #endif
 
+#ifndef __ASSEMBLY__
 /* The "residual" data board information structure the boot loader
  * hands to us.
  */
 extern unsigned char __res[];
+#endif
 
-#endif /* !__CONFIG_8260_DEFS */
+#endif /* CONFIG_8260 */
+#endif /* !__ASM_PPC_MPC8260_H__ */
 #endif /* __KERNEL__ */

_
